Package be.fgov.ehealth.technicalconnector.ra.enumaration

# Enum Class UsageType

java.lang.Object
java.lang.Enum<UsageType>
be.fgov.ehealth.technicalconnector.ra.enumaration.UsageType

All Implemented Interfaces:
  `Serializable`, `Comparable<UsageType>`, `java.lang.constant.Constable`

public enum UsageType extends Enum<UsageType>
Enumeration of specific applications used by organisation requestor.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CODAGE`
  `CONSULT_RN`
  `OTHER`
  `TIME_STAMPING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getServiceName()`
  The name of the service as known in AA and the database.
  `static UsageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UsageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TIME_STAMPING

    public static final UsageType TIME_STAMPING

  - ### CONSULT_RN

    public static final UsageType CONSULT_RN

  - ### CODAGE

    public static final UsageType CODAGE

  - ### OTHER

    public static final UsageType OTHER

- ## Method Details

  - ### values

    public static UsageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UsageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getServiceName

    public String getServiceName()
    The name of the service as known in AA and the database.
    Returns:
      The service name